package gonganxitong

import (
	"shylinux.com/x/ice"
	"shylinux.com/x/icebergs/base/ctx"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/community/src/gonganxitong/model"
)

type event struct {
	Table
	user   user
	order  string `data:"2"`
	role   string `data:"creator"`
	portal string `data:"true"`
	domain string `data:"gonganxitong"`
}

func (s event) List(m *ice.Message, arg ...string) {
	s.Tables(m, s.user).FieldsWithCreatedAT(m, s, model.USER_AVATAR, model.USER_NAME,
		ctx.INDEX, model.OPERATE, ctx.ARGS, model.INFO,
	)
	if len(arg) == 1 {
		s.Select(m, model.PLACE_UID, arg[0]).Action()
	} else if len(arg) == 2 {
		s.SelectDetail(m, model.PLACE_UID, arg[0], s.Key(s, model.UID), arg[1])
	} else {
		return
	}
	s.Display(m, "")
}

func init() { ice.TeamCtxCmd(event{Table: newTable()}) }

func (s event) Record(m *ice.Message, info string, arg ...string) {
	m.Cmd(s, s.Create, m.OptionSimple(model.USER_UID, model.PLACE_UID), model.INFO, info, ctx.INDEX, m.PrefixKey(), model.OPERATE, m.ActionKey(), ctx.ARGS, kit.Join(arg, ","))
}
